"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotImplementedDataLoader = void 0;
/* eslint-disable class-methods-use-this */
class NotImplementedDataLoader {
    constructor(config) {
        this.config = config;
    }
    load() {
        return __awaiter(this, void 0, void 0, function* () {
            console.log(`Data Loader not implemented for ${this.config.type} (${this.config.name})`);
            return null;
        });
    }
}
exports.NotImplementedDataLoader = NotImplementedDataLoader;
//# sourceMappingURL=not-implemented-data-loader.js.map